Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Cloud
Customer Service Management / Reference / REST API

Customer

Postman Collection
OpenAPI
GET

Get customer detail fields

Returns all customer detail fields, including their configuration. You can use the get customer profile API to get details for a particular customer.

Permissions required: Administer Jira global permission.

read:customer.detail-field:jira-service-management

Request

This request has no parameters.

Responses

Returns list of detail fields.

application/json

DetailFieldsWithConfiguration
GET/api/v1/customer/details
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/details' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 { "results": [ { "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ] }, "configuration": { "position": 1 } } ] }
POST

Create customer detail field

Creates a customer detail field. You can create up to 50 detail fields.

Permissions required: Administer Jira global permission.

write:customer.detail-field:jira-service-management

Request

Request bodyapplication/json

The structure of the detail field to create.

name

string

Required
type

DetailFieldType

Required

Responses

Returns the newly created detail field.

application/json

CreateDetailFieldResponse
POST/api/v1/customer/details
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/details' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ] } }'
200Response
1 2 3 4 5 6 7 8 9 10 11 { "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ] } }
PUT

Edit customer detail field

Renames a customer detail field and/or changes the available options for SELECT or MULTISELECT fields.

Permissions required: Administer Jira global permission.

write:customer.detail-field:jira-service-management

Request

Path parameters

fieldName

string

Required

Request bodyapplication/json

name

string

Required
options

array<string>

Responses

Returns the edited customer detail field.

application/json

EditDetailFieldResponse
PUT/api/v1/customer/details/{fieldName}
1 2 3 4 5 6 7 8 9 10 11 12 13 curl --request PUT \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/details/{fieldName}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "name": "Region", "options": [ "AU", "EU", "US" ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 { "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ] } }
DEL

Delete customer detail field

Deletes a customer detail field and all values stored for it for all customers. You cannot restore a detail field once it has been deleted.

Permissions required: Administer Jira global permission.

delete:customer.detail-field:jira-service-management

Request

Path parameters

fieldName

string

Required

Responses

Returns no response if the customer detail field is deleted.

DEL/api/v1/customer/details/{fieldName}
1 2 3 curl --request DELETE \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/details/{fieldName}' \ --header 'Authorization: Bearer <access_token>'
GET

Get customer

Returns a customer, including their details. It is recommended to use the get customer profile API which is a simpler response shape to work with and also includes the entitlements for the customer.

Permissions required: Jira Service Management agent.

read:customer:jira-service-management
,
read:customer.detail:jira-service-management

Request

Path parameters

customerId

string

Required

Responses

Returns the requested customer.

application/json

Customer
GET/api/v1/customer/{customerId}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/{customerId}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 { "id": "2a927c94-363f-4977-a0d6-9477d535f329", "name": "John Doe", "details": [ { "id": "321", "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ] }, "values": [ "EU" ], "configuration": { "position": 1 } } ], "organizations": [ { "id": "123", "name": "Atlassian" } ] }
POST

Search customer by detail field and value

Returns the list of customers. You can get details and entitlements for a customer using get customer profile API.

Permissions required: Jira Service Management agent. To retrieve restricted information such as email address of the user, Administer Jira global permission.

read:customer:jira-service-management

Request

Query parameters

page

integer

maxResults

integer

Request bodyapplication/json

detailFields

array<SearchDetailField>

Required

Responses

Returns the list of customers that match the search criteria.

application/json

CustomerSearchByDetailFieldResponse
POST/api/v1/customer/search-by-detail-field
1 2 3 4 5 6 7 8 9 10 11 12 13 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/search-by-detail-field' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "detailFields": [ { "name": "<string>", "value": "<string>" } ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 { "page": 2154, "maxResults": 2154, "total": 2154, "isLast": true, "customers": [ { "id": "2a927c94-363f-4977-a0d6-9477d535f329", "name": "John Doe", "email": "john.doe@example.com" } ] }
PUT

Set customer detail

Permissions required: Jira Service Management agent.

write:customer.detail:jira-service-management

Request

Path parameters

customerId

string

Required

Query parameters

fieldName

string

Required

Request bodyapplication/json

values

array<string>

Responses

Returns the updated field.

application/json

UpdateDetailFieldResponse
PUT/api/v1/customer/{customerId}/details
1 2 3 4 5 6 7 8 9 10 curl --request PUT \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/{customerId}/details?fieldName=Region' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "values": [ "EU" ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 { "id": "321", "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ] }, "values": [ "EU" ] }
GET

Get customer entitlements

Returns a list of the customer's entitlements, including entitlements inherited by any organizations the customer is in, along with their details.

Permissions required: Jira Service Management agent.

read:customer:entitlement:jira-service-management

Request

Path parameters

customerId

string

Required

Query parameters

product

string

Responses

Returns a list of entitlements.

application/json

array<Entitlement>

GET/api/v1/customer/{customerId}/entitlement
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/{customerId}/entitlement' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 [ { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "product": { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "name": "Acme Widget" }, "entitledEntity": { "id": "123", "type": "CUSTOMER" }, "details": [ { "id": "321", "name": "Region", "type": { "name": "SELECT" }, "values": [ "EU" ], "configuration": {} } ] } ]
POST

Create customer entitlement

Permissions required: Jira Service Management agent.

write:customer:entitlement:jira-service-management

Request

Path parameters

customerId

string

Required

Request bodyapplication/json

The ID of the associated product.

productId

string

Required

Responses

Returns the created entitlement.

application/json

Entitlement
POST/api/v1/customer/{customerId}/entitlement
1 2 3 4 5 6 7 8 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/{customerId}/entitlement' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "productId": "3858a61a-d337-42e6-993e-e13e1c366d4f" }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "product": { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "name": "Acme Widget" }, "entitledEntity": { "id": "123", "type": "CUSTOMER" }, "details": [ { "id": "321", "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ] }, "values": [ "EU" ], "configuration": { "position": 1 } } ] }
POST

Create customer accountExperimental

Creates a customer account.

Permissions required: Administer Jira global permission.

write:customer:jira-service-management

Request

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Request bodyapplication/json

displayName

string

email

string

Required

Responses

Returns the created customer.

application/json

CreatedCustomerAccount
POST/api/v1/customer
1 2 3 4 5 6 7 8 9 10 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'X-ExperimentalApi: opt-in' \ --header 'Content-Type: application/json' \ --data '{ "displayName": "John Doe", "email": "john.doe@example.com" }'
200Response
1 2 3 4 5 { "customerId": "qm:9edf598a-85d4-4db9-bf2e-7245922b4ea8:0000e9d8-a22e-4220-ac63-412ff9eec053", "displayName": "John Doe", "email": "john.doe@example.com" }
GET

Get customer accountExperimental

Returns a customer's account information.

Permissions required: Customer Service Management or Jira Service Management user.

read:customer:jira-service-management

Request

Path parameters

customerId

string

Required

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Responses

Returns the requested customer account.

application/json

CustomerAccount
GET/api/v1/customer/account/{customerId}
1 2 3 4 5 curl --request GET \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/account/{customerId}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'X-ExperimentalApi: opt-in'
200Response
1 2 3 4 { "displayName": "John Doe", "email": "john.doe@example.com" }
PUT

Update customer accountExperimental

Updates a customer account's display name.

Permissions required: Administer Jira global permission.

write:customer:jira-service-management

Request

Path parameters

customerId

string

Required

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Request bodyapplication/json

displayName

string

Required

Responses

Returns the updated customer.

application/json

UpdatedCustomerAccount
PUT/api/v1/customer/account/{customerId}
1 2 3 4 5 6 7 8 9 curl --request PUT \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/account/{customerId}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'X-ExperimentalApi: opt-in' \ --header 'Content-Type: application/json' \ --data '{ "displayName": "<string>" }'
200Response
1 2 3 4 { "displayName": "John Doe", "email": "john.doe@example.com" }
GET

Get customer profileExperimental

Returns a customer's profile, including their custom details, any organizations the customer is in, and any customer entitlements.

Permissions required: Customer Service Management or Jira Service Management user.

read:customer.profile:jira-service-management

Request

Path parameters

customerId

string

Required

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Responses

Returns the requested customer profile.

application/json

CustomerAccountProfile
GET/api/v1/customer/profile/{customerId}
1 2 3 4 5 curl --request GET \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/profile/{customerId}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'X-ExperimentalApi: opt-in'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 { "customerId": "qm:9edf598a-85d4-4db9-bf2e-7245922b4ea8:0000e9d8-a22e-4220-ac63-412ff9eec053", "displayName": "John Doe", "email": "john.doe@example.com", "organizations": [ { "id": "123", "name": "Atlassian" } ], "details": [ { "name": "Region", "value": { "type": "SELECT", "text": [ "EU" ] } } ], "entitlements": [ { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "product": { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "name": "Acme Widget" }, "entitledEntity": { "id": "123", "type": "CUSTOMER" }, "details": [ { "name": "Region", "value": { "type": "SELECT", "text": [ "EU" ] } } ] } ] }
POST

Create customer profileExperimental

Creates a customer's profile, including their custom details and associating them with the specified organizations and products.

Permissions required: Administer Jira global permission, and Customer Service Management or Jira Service Management user.

write:customer.profile:jira-service-management

Request

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Request bodyapplication/json

displayName

string

email

string

Required
details

array<ProfileDetailFieldValueRequest>

associateOrganizations

AssociateOrganizations

associateProducts

AssociateProducts

Responses

Returns the requested customer profile.

application/json

CustomerAccountProfile
POST/api/v1/customer/profile
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/profile' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'X-ExperimentalApi: opt-in' \ --header 'Content-Type: application/json' \ --data '{ "displayName": "John Doe", "email": "john.doe@example.com", "details": [ { "name": "Region", "values": [ "EU" ] } ], "associateOrganizations": { "organizationIds": [ 1, 4, 10, 11, 6 ] }, "associateProducts": { "productIds": [ "3858a61a-d337-42e6-993e-e13e1c366d4f", "4858a61a-d337-42e6-993e-e13e1c366d4f" ] } }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 { "customerId": "qm:9edf598a-85d4-4db9-bf2e-7245922b4ea8:0000e9d8-a22e-4220-ac63-412ff9eec053", "displayName": "John Doe", "email": "john.doe@example.com", "organizations": [ { "id": "123", "name": "Atlassian" } ], "details": [ { "name": "Region", "value": { "type": "SELECT", "text": [ "EU" ] } } ], "entitlements": [ { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "product": { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "name": "Acme Widget" }, "entitledEntity": { "id": "123", "type": "CUSTOMER" }, "details": [ { "name": "Region", "value": { "type": "SELECT", "text": [ "EU" ] } } ] } ] }
POST

Fetch multiple customer profilesExperimental

Returns a maximum of 25 customer profiles. This includes detail fields and any organizations the customer is in.
Any customer accounts that cannot be found will be omitted from the results.

Permissions required: Customer Service Management or Jira Service Management user.

read:customer.profile:jira-service-management

Request

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Request bodyapplication/json

customerIds

array<string>

Required
expand

array<string>

Responses

Returns the requested customer profiles, if existing.

application/json

CustomerProfilesResponse

Response containing the list of requested profiles.

POST/api/v1/customer/profile/fetch
1 2 3 4 5 6 7 8 9 10 11 12 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/profile/fetch' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'X-ExperimentalApi: opt-in' \ --header 'Content-Type: application/json' \ --data '{ "customerIds": [ "qm:10c2e972-eef6-4e0e-aa81-9a9e7a4ba9a7:3468699a-b2f0-4ae9-ab2d-155a5f5a8db4", "qm:10c2e972-eef6-4e0e-aa81-9a9e7a4ba9a7:3468699a-b2f0-4ae9-ab2d-155a5f5a8db5" ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 { "profiles": [ { "customerId": "qm:9edf598a-85d4-4db9-bf2e-7245922b4ea8:0000e9d8-a22e-4220-ac63-412ff9eec053", "displayName": "John Doe", "email": "john.doe@example.com", "organizations": [ { "id": "123", "name": "Atlassian" } ], "details": [ { "name": "Region", "value": { "type": "SELECT", "text": [ "EU" ] } } ], "entitlements": [ { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "product": { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "name": "Acme Widget" }, "entitledEntity": { "id": "123", "type": "CUSTOMER" }, "details": [ { "name": "Region", "value": { "type": "SELECT", "text": [ "EU" ] } } ] } ] } ] }

Rate this page: